diff -Nru ecl-11.1.1/debian/changelog ecl-11.1.1/debian/changelog
--- ecl-11.1.1/debian/changelog	2011-03-11 20:01:14.000000000 +0100
+++ ecl-11.1.1/debian/changelog	2011-11-17 15:47:36.000000000 +0100
@@ -1,3 +1,10 @@
+ecl (11.1.1-4ubuntu1) precise; urgency=low
+
+  * Merge from debian unstable (LP: #889463).  Remaining changes:
+    - debian/rules: Really enable unicode support.
+
+ -- Leo Iannacone <l3on@ubuntu.com>  Sat, 12 Nov 2011 14:09:56 +0100
+
 ecl (11.1.1-4) unstable; urgency=low
 
   * disable gengc on ia64 again
@@ -44,6 +51,30 @@
 
  -- Christoph Egger <christoph@debian.org>  Sun, 18 Jul 2010 12:46:53 +0200
 
+ecl (10.3.1-2ubuntu3) natty; urgency=low
+
+  * No-change rebuild for the 686 transition. (LP: #710138)
+
+ -- Krzysztof Klimonda <kklimonda@ubuntu.com>  Wed, 02 Mar 2011 17:44:49 +0100
+
+ecl (10.3.1-2ubuntu2) maverick; urgency=low
+
+  * debian/rules: Really enable unicode support.
+  * src/gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/arm.h:
+    - Fix FTBFS on ARM by including Ubuntu patch to libatomic-ops
+      to the bundled version. The fact that the lib has to be
+      shipped at all is already reported as Debian bug #554081.
+      Patch done in-line as Debian does so.  
+
+ -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 13 May 2010 21:13:13 -0400
+
+ecl (10.3.1-2ubuntu1) maverick; urgency=low
+
+  * Merge from debian unstable, remaining changes:
+    - debian/rules: Enable unicode support.
+
+ -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 10 May 2010 19:10:47 -0400
+
 ecl (10.3.1-2) unstable; urgency=low
 
   * Add a build-depends for install-info (Closes: #574701)
@@ -92,6 +123,13 @@
 
  -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 02 Sep 2009 09:10:09 +0100
 
+ecl (9.6.1-1ubuntu1) karmic; urgency=low
+
+  * Merge from debian unstable, remaining changes:
+    - debian/rules: Enable unicode support.
+
+ -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 19 Jun 2009 15:32:01 -0400
+
 ecl (9.6.1-1) unstable; urgency=low
 
   * New upstream release. 
@@ -115,6 +153,13 @@
 
  -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 29 Apr 2009 05:58:47 +0200
 
+ecl (0.9j-20080306-5ubuntu1) intrepid; urgency=low
+
+  * Merge from Debian unstable, remaining Ubuntu changes:
+    - debian/rules: enable unicode support.
+
+ -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 19 Oct 2008 12:51:22 +0200
+
 ecl (0.9j-20080306-5) unstable; urgency=low
 
   * debian/control:
@@ -129,6 +174,16 @@
 
  -- Luca Capello <luca@pca.it>  Tue, 09 Sep 2008 21:54:43 +0200
 
+ecl (0.9j-20080306-4ubuntu1) intrepid; urgency=low
+
+  * Merge from debian unstable, remaining changes:
+   + Enabled unicode support. (Closes: LP #123530)
+   + debian/control:
+    - Modify Maintainer value to match the DebianMaintainerField specification.
+    - Updated Standards Version.
+
+ -- Emanuele Gentili <emgent@ubuntu.com>  Sun, 13 Jul 2008 17:44:17 +0200
+
 ecl (0.9j-20080306-4) unstable; urgency=low
 
   * debian/control:
@@ -151,6 +206,13 @@
 
  -- Luca Capello <luca@pca.it>  Mon, 07 Jul 2008 00:18:07 +0200
 
+ecl (0.9j-20080306-2ubuntu1) intrepid; urgency=low
+
+  * Enabled unicode support. (Closes: LP #123530)
+  * Modify Maintainer value to match the DebianMaintainerField specification.
+
+ -- Albin Tonnerre <lutin@ubuntu.com>  Fri, 20 Jun 2008 18:00:19 +0200
+
 ecl (0.9j-20080306-2) unstable; urgency=low
 
   * debian/control:
@@ -195,6 +257,12 @@
 
  -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 27 Sep 2007 06:08:29 +0200
 
+ecl (0.9i-20070324-2ubuntu1) gutsy; urgency=low
+
+  * Enabled unicode support. (Closes: LP #123530)
+
+ -- Chuck Short <zulcss@ubuntu.com>  Sun, 08 Jul 2007 08:37:11 -0400
+
 ecl (0.9i-20070324-2) unstable; urgency=low
 
   * Upload to unstable. 
diff -Nru ecl-11.1.1/debian/control ecl-11.1.1/debian/control
--- ecl-11.1.1/debian/control	2011-03-11 17:49:54.000000000 +0100
+++ ecl-11.1.1/debian/control	2011-11-12 14:05:57.000000000 +0100
@@ -1,7 +1,8 @@
 Source: ecl
 Section: devel
 Priority: optional
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
  Christoph Egger <christoph@debian.org>
 Build-Depends: debhelper (>> 7.0.0),
diff -Nru ecl-11.1.1/debian/rules ecl-11.1.1/debian/rules
--- ecl-11.1.1/debian/rules	2011-03-11 20:00:29.000000000 +0100
+++ ecl-11.1.1/debian/rules	2011-11-17 15:42:32.000000000 +0100
@@ -57,8 +57,9 @@
 	   --with-tcp \
 	   --with-clx  \
 	   --enable-threads=yes \
-	   --enable-boehm=system  \
-	   --with-x
+	   --with-x \
+	   --enable-unicode
+	   #--enable-boehm=system
 
 	touch config.status
 